Gtk2::Activatable(3)

NAME
Gtk2::Activatable - wrapper for GtkActivatable

HIERARCHY
  Glib::Interface
  +----Gtk2::Activatable

METHODS

  $activatable->do_set_related_action ($action)

•   $action (Gtk2::Action)

  action or undef = $activatable->get_related_action

  $activatable->set_related_action ($action)

•   $action (Gtk2::Action)

  $activatable->sync_action_properties ($action)

•   $action (Gtk2::Action)

  boolean = $activatable->get_use_action_appearance

  $activatable->set_use_action_appearance ($use_appearance)

•   $use_appearance (boolean)

PROPERTIES

'related-action' (Gtk2::Action : default undef : readable / writable / private)
    The action this activatable will activate and receive updates from

'use-action-appearance' (boolean : default true : readable / writable / private)
    Whether to use the related actions appearance properties

SEE ALSO
Gtk2, Glib::Interface

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.